Bug 969664 - aarch64 support for atlas
aarch64 support for atlas
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: atlas (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Frantisek Kluknavsky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 11:48 EDT by Mark Salter
Modified: 2015-04-09 03:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-09 03:53:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
aarch64 support for atlas (2.96 KB, patch)
2013-06-01 11:48 EDT, Mark Salter
no flags Details | Diff
full changeset with fix tested on real hardware (13.19 KB, patch)
2014-02-16 11:24 EST, Marcin Juszkiewicz
no flags Details | Diff

  None (edit)
Description Mark Salter 2013-06-01 11:48:35 EDT
Created attachment 755555 [details]
aarch64 support for atlas

Description of problem:
Atlas is lacking some aarch64-specific bits. The attached patch adds aarch64 support based on the existing arm patch.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Frantisek Kluknavsky 2013-11-06 04:32:29 EST
Patch applied to f19, f20 and rawhide. Not rebuilt since it does not affect primary architectures. Aarch64 untested because no hardware available.
Comment 2 Marcin Juszkiewicz 2014-02-16 11:24:54 EST
Created attachment 863751 [details]
full changeset with fix tested on real hardware

3.10.1-10 failed to build for AArch64. Attached fix is what made it built.

This is newer version of Mark Salter patchset.
Comment 3 Fedora Admin XMLRPC Client 2014-07-26 13:14:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2014-07-28 03:46:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2014-07-28 03:47:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2015-01-09 17:33:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Jaroslav Reznik 2015-03-03 12:09:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 8 Marcin Juszkiewicz 2015-04-09 03:53:01 EDT
aarch64 patch was merged in 3.10.1-12

Note You need to log in before you can comment on or make changes to this bug.